Skip to main content
Resource Center/Hardware/Cluster Operations

CreateCluster

CreateCluster

POST/zstack/v1/clusters

Operation ID

CreateCluster

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • type
      String

      Optional. The reserved field for internal use.

    • resourceUuid
      String

      Optional. The resource UUID. When not null, ZStack Cloud will use this field as the UUID of the created resource. Otherwise, ZStack Cloud will automatically generate a UUID to the resource.

    • architecture
      String

      Optional.

    • tagUuids
      List

      Optional.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    ClusterInventoryRequired

    See inventory.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • state
      StringRequired

      The cluster state.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • zoneUuid
      StringRequired

      The zone UUID.

    • type
      StringRequired

      The reserved field.